function geterr, fname, mcol, ecol, dmod, am=am, mrange=mrange

  if (n_elements(am) eq 0) then am = [0.]
  if (n_elements(mrange) eq 0) then mrange = [0,40.]
  xx = rdtxt(fname,[mcol, ecol]) 
;   print, xx

  w = where(xx(0,*) gt mrange[0] AND xx(0,*) lt mrange[1])
  nc = n_elements(w)
  err = fltarr(2,nc)
  err(0,*) = xx(0,w) - dmod - am[0]
  err(1,*) = xx(1,w)

  tmpm = fltarr(nc)
  tmpe = fltarr(nc)
  tmpm[0] = err(0,0)
  nm = 1

  for i=0,nc-1 do begin
    m = err(0,i)   
    w = where(tmpm[0:nc-1] eq m)
    if (w[0] eq -1) then begin
      tmpm[nm] = m
      nm = nm+1
    end
  end

  em = tmpm[0:nm-1]
  tmpe = em
;  print, em

  for i=0,nm-1 do begin
    w = where(err(0,*) eq tmpm[i])
    tmpe[i] = avg(err(1,w))
  end

  result = fltarr(2,nm)
  s = sort(em)
  result(0,*) = em[s]
  result(1,*) = tmpe[s]

  return, result
end
