function txdtoerr, txdfile, mrange, cols=cols, dmod=dmod, am=am

  if (n_elements(cols) eq 0) then cols = [4,5]
  if (n_elements(dmod) eq 0) then dmod = 0.
  if (n_elements(am) eq 0) then am = 0.

  xx = rdtxt(txdfile,cols)

  nm = (mrange[1] - mrange[0])*2 + 1
  me = fltarr(2,nm)

  i = 0
  for m=1.0*mrange[1],1.0*mrange[0],-0.5 do begin
    w = where(xx(0,*) gt m-0.5 AND xx(0,*) le m+0.5)
    if (w[0] gt -1) then $
      e = median(xx(1,w)) $
    else $
      e = 99.

    ok = 1
    if (i gt 0) then if e gt me[1,i-1] then ok = 0

    if (ok) then me[1,i] = e else me[1,i] = me[1,i-1]
    me[0,i] = m
    i = i+1
  end

  s = sort(me(0,*))
  mes = me
  mes(0,*) = me(0,s) - dmod - am
  mes(1,*) = me(1,s)

  return, mes

end
